API ReferenceDevicesUploadsingleimageDeviceid
Upload one or two images
Upload up to two image files to the device for processing or storage.
Middlewares: authMiddleware, multerMiddleware, validateDevice
x-api-key<token>
API key for authentication
In: header
Path Parameters
deviceIdstring
Device ObjectId
uuid?string
Optional image UUID
Response Body
application/json
curl -X POST "https://api.paperlesspaper.de/v1/devices/uploadSingleImage/682fd0d7d4a6325d9d45b86f" \ -H "Content-Type: application/json" \ -d '{ "uuid": "mock-uuid" }'{
"deviceMeta": null,
"deviceUpdate": null,
"iotUpload": null,
"url": "string"
}